package hmggirlfront;

import net.minecraft.block.Block;
import net.minecraft.item.Item;
import net.minecraft.item.ItemBlock;
import net.minecraftforge.event.RegistryEvent;

public class GFItemBlockRegistry {
	public static void registry(mod_GirlFront mod, RegistryEvent.Register<Item> event){
		
		registryItemBlock(mod, event, mod.bdoll_supplies, "bdoll_supplies");
		
		registryItemBlock(mod, event, mod.bdoll_crafting, "bdoll_crafting");
		
		registryItemBlock(mod, event, mod.bdoll_dismantling, "bdoll_dismantling");
		
		registryItemBlock(mod, event, mod.bdoll_doll_Restoring_machine, "bdoll_doll_Restoring_machine");
		
		registryItemBlock(mod, event, mod.bdoll_frontlinebase, "bdoll_frontlinebase");
		
		
		registryItemBlock(mod, event, mod.base_materials, "base_materials");
		registryItemBlock(mod, event, mod.bdoll_base_materials, "bdoll_base_materials");
		registryItemBlock(mod, event, mod.bdoll_base_materials_em, "bdoll_base_materials_em");
		
		registryItemBlock(mod, event, mod.base_munitionsdepot, "base_munitionsdepot");
		registryItemBlock(mod, event, mod.bdoll_base_munitionsdepot, "bdoll_base_munitionsdepot");
		registryItemBlock(mod, event, mod.bdoll_base_munitionsdepot_em, "bdoll_base_munitionsdepot_em");
		
		registryItemBlock(mod, event, mod.base_fieldhospital, "base_fieldhospital");
		registryItemBlock(mod, event, mod.bdoll_base_fieldhospital, "bdoll_base_fieldhospital");
		registryItemBlock(mod, event, mod.bdoll_base_fieldhospital_em, "bdoll_base_fieldhospital_em");
		
		
		
		registryItemBlock(mod, event, mod.base_bunker, "base_bunker");
		registryItemBlock(mod, event, mod.bdoll_base_bunker, "bdoll_base_bunker");
		registryItemBlock(mod, event, mod.bdoll_base_bunker_em, "bdoll_base_bunker_em");
		
		registryItemBlock(mod, event, mod.base_desert_camp, "base_desert_camp");
		registryItemBlock(mod, event, mod.bdoll_base_desert_camp, "bdoll_base_desert_camp");
		registryItemBlock(mod, event, mod.bdoll_base_desert_camp_em, "bdoll_base_desert_camp_em");
		
		registryItemBlock(mod, event, mod.base_snow_camp, "base_snow_camp");
		registryItemBlock(mod, event, mod.bdoll_base_snow_camp, "bdoll_base_snow_camp");
		registryItemBlock(mod, event, mod.bdoll_base_snow_camp_em, "bdoll_base_snow_camp_em");
		
		registryItemBlock(mod, event, mod.base_snow_camp2, "base_snow_camp2");
		registryItemBlock(mod, event, mod.bdoll_base_snow_camp2, "bdoll_base_snow_camp2");
		registryItemBlock(mod, event, mod.bdoll_base_snow_camp2_em, "bdoll_base_snow_camp2_em");
		
		registryItemBlock(mod, event, mod.base_snowforest_camp, "base_snowforest_camp");
		registryItemBlock(mod, event, mod.bdoll_base_snowforest_camp, "bdoll_base_snowforest_camp");
		registryItemBlock(mod, event, mod.bdoll_base_snowforest_camp_em, "bdoll_base_snowforest_camp_em");
		
		
		
		
		registryItemBlock(mod, event, mod.base_helipad, "base_helipad");
		registryItemBlock(mod, event, mod.bdoll_base_helipad, "bdoll_base_helipad");
		registryItemBlock(mod, event, mod.bdoll_base_helipad_em, "bdoll_base_helipad_em");
		
		registryItemBlock(mod, event, mod.base_substation, "base_substation");
		registryItemBlock(mod, event, mod.bdoll_base_substation, "bdoll_base_substation");
		registryItemBlock(mod, event, mod.bdoll_base_substation_em, "bdoll_base_substation_em");
		
		registryItemBlock(mod, event, mod.base_wastecollection, "base_wastecollection");
		registryItemBlock(mod, event, mod.bdoll_base_wastecollection, "bdoll_base_wastecollection");
		registryItemBlock(mod, event, mod.bdoll_base_wastecollection_em, "bdoll_base_wastecollection_em");
		
		registryItemBlock(mod, event, mod.base_helipad_de, "base_helipad_de");
		registryItemBlock(mod, event, mod.bdoll_base_helipad_de, "bdoll_base_helipad_de");
		registryItemBlock(mod, event, mod.bdoll_base_helipad_de_em, "bdoll_base_helipad_de_em");
		
		registryItemBlock(mod, event, mod.base_oilwell, "base_oilwell");
		registryItemBlock(mod, event, mod.bdoll_base_oilwell, "bdoll_base_oilwell");
		registryItemBlock(mod, event, mod.bdoll_base_oilwell_em, "bdoll_base_oilwell_em");
		
		registryItemBlock(mod, event, mod.base_helipad_mt, "base_helipad_mt");
		registryItemBlock(mod, event, mod.bdoll_base_helipad_mt, "bdoll_base_helipad_mt");
		registryItemBlock(mod, event, mod.bdoll_base_helipad_mt_em, "bdoll_base_helipad_mt_em");
		
		registryItemBlock(mod, event, mod.base_coalmine, "base_coalmine");
		registryItemBlock(mod, event, mod.bdoll_base_coalmine, "bdoll_base_coalmine");
		registryItemBlock(mod, event, mod.bdoll_base_coalmine_em, "bdoll_base_coalmine_em");
		
		registryItemBlock(mod, event, mod.base_helipad_se, "base_helipad_se");
		registryItemBlock(mod, event, mod.bdoll_base_helipad_se, "bdoll_base_helipad_se");
		registryItemBlock(mod, event, mod.bdoll_base_helipad_se_em, "bdoll_base_helipad_se_em");
		
		registryItemBlock(mod, event, mod.base_wastecarrier, "base_wastecarrier");
		registryItemBlock(mod, event, mod.bdoll_base_wastecarrier, "bdoll_base_wastecarrier");
		registryItemBlock(mod, event, mod.bdoll_base_wastecarrier_em, "bdoll_base_wastecarrier_em");
		
		registryItemBlock(mod, event, mod.base_containership, "base_containership");
		registryItemBlock(mod, event, mod.bdoll_base_containership, "bdoll_base_containership");
		registryItemBlock(mod, event, mod.bdoll_base_containership_em, "bdoll_base_containership_em");
		
		registryItemBlock(mod, event, mod.base_offshorecrane, "base_offshorecrane");
		registryItemBlock(mod, event, mod.bdoll_base_offshorecrane, "bdoll_base_offshorecrane");
		registryItemBlock(mod, event, mod.bdoll_base_offshorecrane_em, "bdoll_base_offshorecrane_em");
		
		registryItemBlock(mod, event, mod.base_antennabase, "base_antennabase");
		registryItemBlock(mod, event, mod.bdoll_base_antennabase, "bdoll_base_antennabase");
		registryItemBlock(mod, event, mod.bdoll_base_antennabase_em, "bdoll_base_antennabase_em");
		
		registryItemBlock(mod, event, mod.base_antennabase_de, "base_antennabase_de");
		registryItemBlock(mod, event, mod.bdoll_base_antennabase_de, "bdoll_base_antennabase_de");
		registryItemBlock(mod, event, mod.bdoll_base_antennabase_de_em, "bdoll_base_antennabase_de_em");
		
		registryItemBlock(mod, event, mod.base_antennabase_mt, "base_antennabase_mt");
		registryItemBlock(mod, event, mod.bdoll_base_antennabase_mt, "bdoll_base_antennabase_mt");
		registryItemBlock(mod, event, mod.bdoll_base_antennabase_mt_em, "bdoll_base_antennabase_mt_em");
		
		
		
		
		
		
		registryItemBlock(mod, event, mod.base_headquarters, "base_headquarters");
		registryItemBlock(mod, event, mod.help_base_headquarters, "help_base_headquarters");
		registryItemBlock(mod, event, mod.bdoll_base_headquarters, "bdoll_base_headquarters");
		registryItemBlock(mod, event, mod.bdoll_base_headquarters_em, "bdoll_base_headquarters_em");
		
		registryItemBlock(mod, event, mod.base_oil_complex, "base_oil_complex");
		registryItemBlock(mod, event, mod.help_base_oil_complex, "help_base_oil_complex");
		registryItemBlock(mod, event, mod.bdoll_base_oil_complex, "bdoll_base_oil_complex");
		registryItemBlock(mod, event, mod.bdoll_base_oil_complex_em, "bdoll_base_oil_complex_em");
		
		registryItemBlock(mod, event, mod.base_desert_base, "base_desert_base");
		registryItemBlock(mod, event, mod.help_base_desert_base, "help_base_desert_base");
		registryItemBlock(mod, event, mod.bdoll_base_desert_base, "bdoll_base_desert_base");
		registryItemBlock(mod, event, mod.bdoll_base_desert_base_em, "bdoll_base_desert_base_em");
		
		registryItemBlock(mod, event, mod.base_forest_base, "base_forest_base");
		registryItemBlock(mod, event, mod.help_base_forest_base, "help_base_forest_base");
		registryItemBlock(mod, event, mod.bdoll_base_forest_base, "bdoll_base_forest_base");
		registryItemBlock(mod, event, mod.bdoll_base_forest_base_em, "bdoll_base_forest_base_em");
		
		registryItemBlock(mod, event, mod.base_amusement, "base_amusement");
		registryItemBlock(mod, event, mod.help_base_amusement, "help_base_amusement");
		registryItemBlock(mod, event, mod.bdoll_base_amusement, "bdoll_base_amusement");
		registryItemBlock(mod, event, mod.bdoll_base_amusement_em, "bdoll_base_amusement_em");
		
		registryItemBlock(mod, event, mod.base_observation_base, "base_observation_base");
		registryItemBlock(mod, event, mod.help_base_observation_base, "help_base_observation_base");
		registryItemBlock(mod, event, mod.bdoll_base_observation_base, "bdoll_base_observation_base");
		registryItemBlock(mod, event, mod.bdoll_base_observation_base_em, "bdoll_base_observation_base_em");
		
		registryItemBlock(mod, event, mod.base_sea_launch, "base_sea_launch");
		registryItemBlock(mod, event, mod.help_base_sea_launch, "help_base_sea_launch");
		registryItemBlock(mod, event, mod.bdoll_base_sea_launch, "bdoll_base_sea_launch");
		registryItemBlock(mod, event, mod.bdoll_base_sea_launch_em, "bdoll_base_sea_launch_em");
		
		registryItemBlock(mod, event, mod.base_mansion, "base_mansion");
		registryItemBlock(mod, event, mod.help_base_mansion, "help_base_mansion");
		registryItemBlock(mod, event, mod.bdoll_base_mansion, "bdoll_base_mansion");
		registryItemBlock(mod, event, mod.bdoll_base_mansion_em, "bdoll_base_mansion_em");
		
		registryItemBlock(mod, event, mod.base_missile_silo, "base_missile_silo");
		registryItemBlock(mod, event, mod.help_base_missile_silo, "help_base_missile_silo");
		registryItemBlock(mod, event, mod.bdoll_base_missile_silo, "bdoll_base_missile_silo");
		registryItemBlock(mod, event, mod.bdoll_base_missile_silo_em, "bdoll_base_missile_silo_em");
		
		registryItemBlock(mod, event, mod.bdoll_ibc01, "bdoll_ibc01");
		registryItemBlock(mod, event, mod.bdoll_ibc02, "bdoll_ibc02");
		registryItemBlock(mod, event, mod.bdoll_ibc03, "bdoll_ibc03");
		registryItemBlock(mod, event, mod.bdoll_ibc04, "bdoll_ibc04");
		registryItemBlock(mod, event, mod.bdoll_ibc05, "bdoll_ibc05");
		registryItemBlock(mod, event, mod.bdoll_ibc06, "bdoll_ibc06");
		registryItemBlock(mod, event, mod.bdoll_ibc07, "bdoll_ibc07");
		
		registryItemBlock(mod, event, mod.bdoll_ibc08, "bdoll_ibc08");
		registryItemBlock(mod, event, mod.bdoll_ibc09, "bdoll_ibc09");
		registryItemBlock(mod, event, mod.bdoll_ibc01turret, "bdoll_ibc01turret");
		registryItemBlock(mod, event, mod.bdoll_ibc10turret, "bdoll_ibc10turret");
		registryItemBlock(mod, event, mod.bdoll_ibc11, "bdoll_ibc11");
		registryItemBlock(mod, event, mod.bdoll_ibc12, "bdoll_ibc12");
		registryItemBlock(mod, event, mod.bdoll_ibc13, "bdoll_ibc13");
		registryItemBlock(mod, event, mod.bdoll_ibc14, "bdoll_ibc14");
		registryItemBlock(mod, event, mod.bdoll_ibcml, "bdoll_ibcml");
		registryItemBlock(mod, event, mod.bdoll_ibc_jupiter, "bdoll_ibc_jupiter");
		registryItemBlock(mod, event, mod.bdoll_ibc_generator, "bdoll_ibc_generator");
		registryItemBlock(mod, event, mod.bdoll_ibc_boss01, "bdoll_ibc_boss01");
		registryItemBlock(mod, event, mod.bdoll_ibc_boss02, "bdoll_ibc_boss02");
		registryItemBlock(mod, event, mod.bdoll_ibc_boss03, "bdoll_ibc_boss03");
		registryItemBlock(mod, event, mod.bdoll_ibc_boss04, "bdoll_ibc_boss04");
		registryItemBlock(mod, event, mod.bdoll_ibc_boss05, "bdoll_ibc_boss05");
		registryItemBlock(mod, event, mod.bdoll_ibc_boss06, "bdoll_ibc_boss06");
		registryItemBlock(mod, event, mod.bdoll_ibc_boss07, "bdoll_ibc_boss07");
		registryItemBlock(mod, event, mod.bdoll_ibc_boss08, "bdoll_ibc_boss08");
		
		registryItemBlock(mod, event, mod.b_goods_ibc01_break, "b_goods_ibc01_break");
		registryItemBlock(mod, event, mod.b_goods_tank_break, "b_goods_tank_break");
		registryItemBlock(mod, event, mod.b_block_collapse, "b_block_collapse");
		registryItemBlock(mod, event, mod.b_block_collapse_grass, "b_block_collapse_grass");
		registryItemBlock(mod, event, mod.b_block_collapse_hv, "b_block_collapse_hv");
		
		registryItemBlock(mod, event, mod.b_spanwer_ibc01, "b_spanwer_ibc01");
		registryItemBlock(mod, event, mod.b_spanwer_ibc04, "b_spanwer_ibc04");
		registryItemBlock(mod, event, mod.b_spanwer_ibc05, "b_spanwer_ibc05");
		registryItemBlock(mod, event, mod.b_spanwer_ibc06, "b_spanwer_ibc06");
		registryItemBlock(mod, event, mod.b_spanwer_ibc07, "b_spanwer_ibc07");
		registryItemBlock(mod, event, mod.b_spanwer_ibc13, "b_spanwer_ibc13");
		registryItemBlock(mod, event, mod.b_spanwer_ibc14, "b_spanwer_ibc14");
		
		
		registryItemBlock(mod, event, mod.bsocom_cyclops, "bsocom_cyclops");
		registryItemBlock(mod, event, mod.bsocom_aegis, "bsocom_aegis");
		registryItemBlock(mod, event, mod.bsocom_cerynitis, "bsocom_cerynitis");
		registryItemBlock(mod, event, mod.bsocom_hydra, "bsocom_hydra");
		
		
		registryItemBlock(mod, event, mod.b_block_camonet1_df, "b_block_camonet1_df");
		
		registryItemBlock(mod, event, mod.b_block_ammobox1_df, "b_block_ammobox1_df");
		registryItemBlock(mod, event, mod.b_block_barrel_drum1_df, "b_block_barrel_drum1_df");
		registryItemBlock(mod, event, mod.b_block_barrel_drum2_df, "b_block_barrel_drum2_df");
		registryItemBlock(mod, event, mod.b_block_hesco_df, "b_block_hesco_df");
		registryItemBlock(mod, event, mod.b_block_laptop_df, "b_block_laptop_df");
		registryItemBlock(mod, event, mod.b_block_monitor1_df, "b_block_monitor1_df");
		registryItemBlock(mod, event, mod.b_block_sincgars_df, "b_block_sincgars_df");
		registryItemBlock(mod, event, mod.b_block_toughbook_df, "b_block_toughbook_df");
		
		registryItemBlock(mod, event, mod.b_block_9mmpack_df, "b_block_9mmpack_df");
		registryItemBlock(mod, event, mod.b_block_12gpack_df, "b_block_12gpack_df");
		registryItemBlock(mod, event, mod.b_block_40mmgr_ammo_df, "b_block_40mmgr_ammo_df");
		registryItemBlock(mod, event, mod.b_block_556pack_df, "b_block_556pack_df");
		registryItemBlock(mod, event, mod.b_block_ammobox2_df, "b_block_ammobox2_df");
		registryItemBlock(mod, event, mod.b_block_box1_iop, "b_block_box1_iop");
		registryItemBlock(mod, event, mod.b_block_collapse_bombe, "b_block_collapse_bombe");
		registryItemBlock(mod, event, mod.b_block_epiphyllum1, "b_block_epiphyllum1");
		registryItemBlock(mod, event, mod.b_block_epiphyllum2, "b_block_epiphyllum2");
		registryItemBlock(mod, event, mod.b_block_jutebag_df, "b_block_jutebag_df");
		registryItemBlock(mod, event, mod.b_block_medbag_df, "b_block_medbag_df");
		registryItemBlock(mod, event, mod.b_block_rcc_df, "b_block_rcc_df");
		
		registryItemBlock(mod, event, mod.b_block_416nui, "b_block_416nui");
		registryItemBlock(mod, event, mod.b_block_g36nui, "b_block_g36nui");
		registryItemBlock(mod, event, mod.b_block_kalinui, "b_block_kalinui");
		registryItemBlock(mod, event, mod.b_block_mg36nui, "b_block_mg36nui");
		registryItemBlock(mod, event, mod.b_block_roprowler, "b_block_roprowler");
		registryItemBlock(mod, event, mod.b_block_soptwonui, "b_block_soptwonui");
		registryItemBlock(mod, event, mod.b_block_wa2000nui, "b_block_wa2000nui");
		
		registryItemBlock(mod, event, mod.b_block_gunrack_htgk, "b_block_gunrack_htgk");
		registryItemBlock(mod, event, mod.b_block_gunrack_rsgk, "b_block_gunrack_rsgk");
		registryItemBlock(mod, event, mod.b_block_gunrack_rtgk1, "b_block_gunrack_rtgk1");
		
		
		registryItemBlock(mod, event, mod.b_block_rfbnui, "b_block_rfbnui");
		
		registryItemBlock(mod, event, mod.b_block_57pack_df, "b_block_57pack_df");
		registryItemBlock(mod, event, mod.b_block_114pack_df, "b_block_114pack_df");
		registryItemBlock(mod, event, mod.b_block_473pack_df, "b_block_473pack_df");
		registryItemBlock(mod, event, mod.b_block_762pack_df, "b_block_762pack_df");
		registryItemBlock(mod, event, mod.b_block_at_obstacles2, "b_block_at_obstacles2");
		registryItemBlock(mod, event, mod.b_block_barbed1_df, "b_block_barbed1_df");
		registryItemBlock(mod, event, mod.b_block_barbed2_df, "b_block_barbed2_df");
		registryItemBlock(mod, event, mod.b_block_fire_exti_df, "b_block_fire_exti_df");
		registryItemBlock(mod, event, mod.b_block_Jerrycan1_df, "b_block_Jerrycan1_df");
		registryItemBlock(mod, event, mod.b_block_mil_cont1_df, "b_block_mil_cont1_df");
		registryItemBlock(mod, event, mod.b_block_mil_cont2_df, "b_block_mil_cont2_df");
		registryItemBlock(mod, event, mod.b_block_odunit_df, "b_block_odunit_df");
		registryItemBlock(mod, event, mod.b_block_sandbag_a1_df, "b_block_sandbag_a1_df");
		registryItemBlock(mod, event, mod.b_block_sandbag_a2_df, "b_block_sandbag_a2_df");
		registryItemBlock(mod, event, mod.b_block_sandbag_b1_df, "b_block_sandbag_b1_df");
		registryItemBlock(mod, event, mod.b_block_sandbag_b2_df, "b_block_sandbag_b2_df");
		registryItemBlock(mod, event, mod.b_block_server_cont1_df, "b_block_server_cont1_df");
		registryItemBlock(mod, event, mod.b_block_server_cont2_df, "b_block_server_cont2_df");
		registryItemBlock(mod, event, mod.b_block_t_wall1_df, "b_block_t_wall1_df");
		registryItemBlock(mod, event, mod.b_block_t_wall2_df, "b_block_t_wall2_df");
		
		
		
		
		
		
		registryItemBlock(mod, event, mod.story_mission_1_npc, "story_mission_1_npc");
		registryItemBlock(mod, event, mod.story_mission_2_npc, "story_mission_2_npc");
		
		
		registryItemBlock(mod, event, mod.b_npc_isomer, "b_npc_isomer");
		
		registryItemBlock(mod, event, mod.bdoll_point, "bdoll_point");
	}
	public static void registryItemBlock(mod_GirlFront mod, RegistryEvent.Register<Item> event, Block block, String bn){
		event.getRegistry().register(new ItemBlock(block).setRegistryName(mod.MOD_ID, bn));
		
	}
}
